Skip to content

Create a reporting suite

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
idstring
namestringrequired

Reporting suite name

descriptionstring

Description

dimensionsArray of strings

Dimension field names

measurementsArray of strings

Measurement field names

breakdownTypestringrequired

Breakdown type

moduleTypestring
baseReportingSuitestring

Base reporting suite entity id for custom suites

curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/reportingSuite/suite \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "id": "string",
    "name": "string",
    "description": "string",
    "dimensions": [
      "string"
    ],
    "measurements": [
      "string"
    ],
    "breakdownType": "string",
    "moduleType": "string",
    "baseReportingSuite": "string"
  }'

Responses

Success

Bodyapplication/json
idstring
entityIdstring
suiteTypestring(SuiteType)
Value:"STANDARD"
namestring
descriptionstring
dimensionsArray of strings
measurementsArray of strings
moduleTypestring
breakdownTypestring
baseReportingSuitestring
ownerUserIdinteger, (int64)
createdTimeinteger, (int64)

Epoch milliseconds (UTC)

modifiedTimeinteger, (int64)

Epoch milliseconds (UTC)

lastModifiedUserIdinteger, (int64)
deletedboolean
Response
{ "id": "string", "entityId": "string", "suiteType": "STANDARD", "name": "string", "description": "string", "dimensions": [ "string" ], "measurements": [ "string" ], "moduleType": "string", "breakdownType": "string", "baseReportingSuite": "string", "ownerUserId": 0, "createdTime": 0, "modifiedTime": 0, "lastModifiedUserId": 0, "deleted": true }